<p align="center"><img width="600" alt="flasher" src="https://user-images.githubusercontent.com/10859693/102468596-03317180-4052-11eb-9df3-44dc6235b238.png"></p>

<h1 align="center">A powerful and flexible flash notifications system for PHP, Laravel, Symfony</h1>

<p align="center">
    :eyes: PHP Flasher helps you to add flash notifications to your PHP projects. 
    This library was developed with the idea that you should be able to add flash notification to your application with ease and with few lines of code. 
    No application-wide rewrites and no big investments upfront.
</p>

<p align="center">
    <a href="https://github.com/php-flasher/flasher">
        <img src="https://img.shields.io/badge/source-php--flasher/flasher-blue.svg?style=flat-square">
    </a>
    <a href="https://github.com/php-flasher/flasher/releases">
        <img src="https://img.shields.io/github/tag/php-flasher/flasher.svg">
    </a>
    <a href="https://github.com/php-flasher/flasher/blob/master/LICENSE">
        <img src="https://img.shields.io/badge/license-MIT-brightgreen.svg">
    </a>
    <a href="https://packagist.org/packages/php-flasher/flasher">
        <img src="https://img.shields.io/packagist/dt/php-flasher/flasher.svg">
    </a>
    <a href="https://packagist.org/packages/php-flasher/flasher">
        <img src="https://img.shields.io/packagist/php-v/php-flasher/flasher.svg?style=flat-square">
    </a>
    <a href="https://opencollective.com/php-flasher">
        <img src="https://opencollective.com/php-flasher/tiers/backer/badge.svg?label=backer&color=brightgreen" />
    </a>
    <a href="https://opencollective.com/php-flasher">
        <img src="https://opencollective.com/php-flasher/tiers/sponsor/badge.svg?label=sponsor&color=brightgreen" />
    </a>
</p>

# Why use PHP Flasher ?

The PHP Flasher project supports many notification libraries : __tailwindcss__, __bootstrap__, __toastr.js__, __sweet alert 2__, __pnotify__, __noty__, and __notyf__
and its highly extendable so you can add your custom notifications.

This library is designed, so you can take full control when creating you notifications :

> * Display multiple notifications
> * Sort and filter notifications
> * Render notification from JSON object
> * Limit the number of displayed notifications
> * Show notifications from different libraries at the same time
> * Framework angostic with integration for : Symfony and Laravel
> * Support templates
> * Easy migration from similar libraries.
> * Very flexible so you can add you own adapters
> * ...and more


## Official Documentation

Documentation for PHP Flasher can be found on the [PHP Flasher website](https://php-flasher.github.io/).

## Backers && Sponsors

Support this project by becoming a sponsor. Your name will show up in the Contribute page of all PHP Flasher installations as well as here with a link to your website!

Thank you to all our backers and sponsors! 🙏

<a href="https://opencollective.com/php-flasher#backers" target="_blank">
  <img src="https://opencollective.com/php-flasher/backers.svg?width=890" title="Backers" alt="Backers">
</a>

<a href="https://opencollective.com/php-flasher#sponsors" target="_blank">
  <img src="https://opencollective.com/php-flasher/sponsors.svg?width=890" title="Sponsors" alt="Sponsors">
</a>

### Contact

PHP Flasher is being actively developed by <a href="https://github.com/yoeunes">yoeunes</a>. You can reach out with questions, bug reports, or feature requests 
on any of the following:

- [Github Issues](https://github.com/php-flasher/flasher/issues) 
- [Github](https://github.com/yoeunes)
- [Twitter](https://twitter.com/yoeunes)
- [Linkedin](https://www.linkedin.com/in/younes-khoubza/)
- [Email me directly](mailto:younes.khoubza@gmail.com)

## License

PHP Flasher is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).

<p align="center"> <b>Made with ❤️ by <a href="https://www.linkedin.com/in/younes-khoubza/">Younes KHOUBZA</a> <b> </p>
